Title:  Identify Fields for each Content Type

Seq:    5

Level:  2

Body:

What information do you want to present? What sorts of data may benefit from separate handling? What fields will you need for filtering and sorting, based on your organizational schemes? 

Each field in a Notenik Collection will have a [label and a type](https://notenik.app/kb/field-labels-and-types.html) (although the type may sometimes be inferred from the label).

At minimum, each piece of content will have a title field and a body field. 

Other fields may be added as needed. 

See the [Lists of Labels and Types](https://notenik.app/kb/field-labels-and-types.html) for help with identifying different types of data that may be useful. 

Again, as you think of the sorts of fields that may be useful to you, you might find a need to further refine your list of content types, since different content types may be associated with different sets of fields. 

### Example

Our *post* content type might usefully have the following fields associated with it (in addition to title and body). 

+ [Tags](https://notenik.app/kb/tags.html) - to identify topics associated with each post. 
+ [Status](https://notenik.app/kb/status.html) - to distinguish between posts that are ready to "go live," vs. others that might still be in work. 
+ [Date](https://notenik.app/kb/date.html) - to indicate the date of publication. 
+ [Teaser](https://notenik.app/kb/teaser.html) - to provide a brief summary for longer posts. 
+ [Image Name](https://notenik.app/kb/image-name.html) - to identify an image that is to appear at the top of the post.
